Bug 6663 - [3.2 regression] ICE with attribute aligned
[3.2 regression] ICE with attribute aligned
Status: RESOLVED FIXED
Product: gcc
Classification: Unclassified
Component: c++
3.1
: P3 normal
: ---
Assigned To: Not yet assigned to anyone
: ice-on-valid-code
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-15 06:26 UTC by grigory_zagorodnev
Modified: 2003-07-25 17:33 UTC (History)
3 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description grigory_zagorodnev 2002-05-15 06:26:00 UTC
For the given testcase G++ emmits internal error message.
--- testcase (fail.cpp) -------------------------
struct C {
  long int d __attribute__((aligned(32)));
};

struct D : public virtual C {
};

--- g++ output ----------------------------------
fail.cpp:5: Internal compiler error in tree_low_cst, at tree.c:3471

Release:
gcc version 3.1 20020423 (prerelease)

Environment:
Red Hat Linux release 7.1 (Seawolf)
Kernel 2.4.2-2smp on a 2-processor i686
GCC configured for i686-pc-linux-gnu
No additional configure options

How-To-Repeat:
command line is:
    g++ -V3.1 -c fail.cpp
Comment 1 Kriang Lerdsuwanakij 2002-05-15 06:38:10 UTC
State-Changed-From-To: open->analyzed
State-Changed-Why: Confirmed.
Comment 2 Joe Buck 2003-04-25 21:13:48 UTC
State-Changed-From-To: analyzed->closed
State-Changed-Why: Fixed for 3.3.